Skip to main content
GET
/
smartwallet
/
balances
Balances of social smart wallets
curl --request GET \
  --url https://api.inprocess.world/api/smartwallet/balances
import requests

url = "https://api.inprocess.world/api/smartwallet/balances"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.inprocess.world/api/smartwallet/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "balances": [
    {
      "social_wallet": "0x1234567890123456789012345678901234567890",
      "smart_wallet": "0xabcdefabcdefabcdefabcdefabcdefabcdefabcd",
      "eth_balance": "0.5",
      "usdc_balance": "100.0"
    }
  ],
  "total_eth_balance": "0.5",
  "total_usdc_balance": "100.0"
}
{
"status": "error",
"message": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}
{
"status": "error",
"message": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}

Query Parameters

artist_address
string
required

The artist wallet address to get balances for

chainId
integer<int64>
default:8453

Chain ID of the network (default: Base, 8453)

Response

Successful response

balances
object[]
required

Array of balance information for each social smart wallet

total_eth_balance
string
required

Total ETH balance across all social smart wallets

total_usdc_balance
string
required

Total USDC balance across all social smart wallets